#app-loader {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
  transition: opacity 0.5s ease, visibility 0.5s ease;
}

#app-loader.light {
  background: linear-gradient(350deg, #f4f6f8, #f7f7f9);
  color: #0f1729;
}

#app-loader.dark {
  color: #f5f5f5;
  background: linear-gradient(350deg, #1c1f40, #1a1a2a);
}

#app-loader.light .spinner {
  border: 4px solid rgba(180, 180, 180, 0.2);
  border-top-color: #000000;
}

#app-loader.dark .spinner {
  border: 4px solid white;
  border-top-color: rgba(255,255,255,0.2);;
}

#app-loader.hide {
  opacity: 0;
  visibility: hidden;
}

.loader-content {
  text-align: center;
  font-family: sans-serif;
  display: flex;
  flex-direction: column;
  gap: 1em;
}

#app-loader.logo {
  font-size: 2rem;
  font-weight: 700;
  letter-spacing: 0.08em;
  margin-bottom: 1.5rem;
}

.spinner {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  margin: 0 auto 1rem;
  animation: spin 1s linear infinite;
}


@keyframes spin {
  to { transform: rotate(360deg); }
}

.loading-text {
  font-size: 0.95rem;
  opacity: 0.85;
}